<ng-container *ngIf="data$|async as data">

  <app-waypoints-waypoint
    *ngIf="data.status === 'IN_REALIZATION'"
    [waypoint]="data.waypoint"
    [specialDesignByStatus]="true"
    [status]="'COMING'"
  >
  </app-waypoints-waypoint>


  <app-waypoints-waypoint
    *ngFor="let waypoint of data.waypoints; first as isFirst;"
    [waypoint]="waypoint"
    [specialDesignByStatus]="isFirst"
    [status]="data.status"
  >
  </app-waypoints-waypoint>
</ng-container>
